Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8268120

Allow hardware cursor to be used on Monocle-EGL platforms

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: openjfx17
    • Component/s: javafx
    • Labels:
      None

      Description

      Currently, there is no support for hardware cursor in the Monocle-EGL platform. Ideally, we handle both hardware and software cursors in the same code. At the very least, the top-level JavaFX API should not be aware of the cursor implementation details.
      Although the lower-level drivers typically know whether hardware cursors are supported or not, there is no real standard for this. Therefore, it is probably better to use a Java system property to tell the JavaFX runtime to use a software cursor or a hardware cursor.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jvos Johan Vos
              Reporter:
              jvos Johan Vos
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: